> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get elements by tag

GET https://api.getpostman.com/tags/{slug}/entities

Gets Postman elements (entities) by a given tag. Tags enable you to organize and search [workspaces](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/managing-workspaces/#tagging-a-workspace), [APIs](https://learning.postman.com/docs/designing-and-developing-your-api/managing-apis/#tagging-apis), and [collections](https://learning.postman.com/docs/collections/using-collections/#tagging-a-collection) that contain shared tags.

**Note:**

Tagging is available on Postman [**Solo**, **Team**, and **Enterprise** plans](https://www.postman.com/pricing/).


Reference: https://learning.postman.com/api-docs/api-reference/tags/get-tagged-entities

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /tags/{slug}/entities:
    get:
      operationId: getTaggedEntities
      summary: Get elements by tag
      description: >
        Gets Postman elements (entities) by a given tag. Tags enable you to
        organize and search
        [workspaces](https://learning.postman.com/docs/collaborating-in-postman/using-workspaces/managing-workspaces/#tagging-a-workspace),
        [APIs](https://learning.postman.com/docs/designing-and-developing-your-api/managing-apis/#tagging-apis),
        and
        [collections](https://learning.postman.com/docs/collections/using-collections/#tagging-a-collection)
        that contain shared tags.


        **Note:**


        Tagging is available on Postman [**Solo**, **Team**, and **Enterprise**
        plans](https://www.postman.com/pricing/).
      tags:
        - tags
      parameters:
        - name: slug
          in: path
          description: The tag's ID within a team or individual (non-team) user scope.
          required: true
          schema:
            $ref: '#/components/schemas/tagsSlug'
        - name: limit
          in: query
          description: The maximum number of tagged elements to return in a single call.
          required: false
          schema:
            $ref: '#/components/schemas/tagsEntitiesLimit'
            default: 10
        - name: direction
          in: query
          description: >-
            The ascending (`asc`) or descending (`desc`) order to sort the
            results by, based on the time of the entity's tagging.
          required: false
          schema:
            $ref: '#/components/schemas/ascDescDefaultDesc'
            default: desc
        - name: cursor
          in: query
          description: >-
            The cursor to get the next set of results in the paginated response.
            If you pass an invalid value, the API only returns the first set of
            results.
          required: false
          schema:
            $ref: '#/components/schemas/tagsCursor'
        - name: entityType
          in: query
          description: Filter results for the given entity type.
          required: false
          schema:
            $ref: '#/components/schemas/tagsEntityType'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getTaggedEntities'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/tagElement400Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
        '500':
          description: Unexpected Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatusInstance'
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    tagsSlug:
      type: string
      title: tagsSlug
    tagsEntitiesLimit:
      type: integer
      default: 10
      title: tagsEntitiesLimit
    ascDescDefaultDesc:
      type: string
      enum:
        - asc
        - desc
      default: desc
      title: ascDescDefaultDesc
    tagsCursor:
      type: string
      format: base64
      title: tagsCursor
    tagsEntityType:
      type: string
      enum:
        - api
        - collection
        - workspace
      title: tagsEntityType
    GetTaggedEntitiesDataEntitiesItemsEntityType:
      type: string
      enum:
        - collection
        - workspace
      description: The type of Postman element.
      title: GetTaggedEntitiesDataEntitiesItemsEntityType
    GetTaggedEntitiesDataEntitiesItems:
      type: object
      properties:
        entityId:
          type: string
          format: uid
          description: The element's unique ID.
        entityType:
          $ref: '#/components/schemas/GetTaggedEntitiesDataEntitiesItemsEntityType'
          description: The type of Postman element.
      title: GetTaggedEntitiesDataEntitiesItems
    GetTaggedEntitiesData:
      type: object
      properties:
        entities:
          type: array
          items:
            $ref: '#/components/schemas/GetTaggedEntitiesDataEntitiesItems'
          description: A list of the Postman elements that contain the given tag.
      required:
        - entities
      description: An object containing the paginated elements.
      title: GetTaggedEntitiesData
    GetTaggedEntitiesMeta:
      type: object
      properties:
        count:
          type: integer
          description: The number of tagged elements returned in the response.
        nextCursor:
          type: string
          format: base64
          description: >-
            The pagination cursor that points to the next record in the results
            set.
      required:
        - count
      description: The response's pagination information.
      title: GetTaggedEntitiesMeta
    getTaggedEntities:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/GetTaggedEntitiesData'
          description: An object containing the paginated elements.
        meta:
          $ref: '#/components/schemas/GetTaggedEntitiesMeta'
          description: The response's pagination information.
      title: getTaggedEntities
    tagElement400Error:
      type: object
      properties:
        error:
          type: string
          description: A short summary of the problem.
        message:
          type: string
          description: The error message.
        statusCode:
          type: integer
          description: The error's HTTP status code.
      title: tagElement400Error
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    commonErrorTypeTitleDetailStatusInstance:
      type: object
      properties:
        type:
          type: string
          format: uri-reference
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        instance:
          type: string
          description: >-
            The URI reference that identifies the specific occurrence of the
            problem.
      title: commonErrorTypeTitleDetailStatusInstance
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "data": {
    "entities": [
      {
        "entityId": "8b86dfe8-de72-44e6-81ea-79d19805bc6a",
        "entityType": "collection"
      }
    ]
  },
  "meta": {
    "count": 1
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/tags/needs-review/entities"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/tags/needs-review/entities';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/tags/needs-review/entities"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/tags/needs-review/entities")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/tags/needs-review/entities")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/tags/needs-review/entities', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/tags/needs-review/entities");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/tags/needs-review/entities")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```